> ## Documentation Index
> Fetch the complete documentation index at: https://layerswaplabsv0-main-depositactionsguide.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote

> Retrieves a swap quote based on the provided route request. Token parameters accept either asset names (e.g. USDC, ETH) or token contract addresses (e.g. 0xa0b8...). For native tokens via contract address, use the network's zero address (e.g. 0x0000000000000000000000000000000000000000 for EVM, 11111111111111111111111111111111 for Solana).



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json get /api/v2/quote
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/quote:
    get:
      tags:
        - Swaps
      summary: Get Quote
      description: >-
        Retrieves a swap quote based on the provided route request. Token
        parameters accept either asset names (e.g. USDC, ETH) or token contract
        addresses (e.g. 0xa0b8...). For native tokens via contract address, use
        the network's zero address (e.g.
        0x0000000000000000000000000000000000000000 for EVM,
        11111111111111111111111111111111 for Solana).
      parameters:
        - name: source_network
          in: query
          required: true
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: source_token
          in: query
          required: true
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: destination_network
          in: query
          required: true
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: destination_token
          in: query
          required: true
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: source_address
          in: query
          schema:
            type: string
        - name: slippage
          in: query
          schema:
            type: string
        - name: use_deposit_address
          in: query
          schema:
            type: boolean
        - name: amount
          in: query
          required: true
          schema:
            type: number
            format: double
        - name: refuel
          in: query
          schema:
            type: boolean
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseSwapQuoteResponse'
components:
  schemas:
    ApiResponseSwapQuoteResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          $ref: '#/components/schemas/SwapQuoteResponse'
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
    SwapQuoteResponse:
      type: object
      properties:
        quote:
          $ref: '#/components/schemas/SwapQuoteModel'
        refuel:
          $ref: '#/components/schemas/TokenWithAmountModel'
        reward:
          $ref: '#/components/schemas/RewardModel'
      additionalProperties: false
    SwapQuoteModel:
      type: object
      properties:
        total_fee:
          type: number
          format: double
        total_fee_in_usd:
          type: number
          format: double
        source_network:
          $ref: '#/components/schemas/NetworkModel'
        source_token:
          $ref: '#/components/schemas/TokenModel'
        destination_network:
          $ref: '#/components/schemas/NetworkModel'
        destination_token:
          $ref: '#/components/schemas/TokenModel'
        requested_amount:
          type: number
          format: double
        receive_amount:
          type: number
          format: double
        fee_discount:
          type: number
          format: double
        min_receive_amount:
          type: number
          format: double
        blockchain_fee:
          type: number
          format: double
        service_fee:
          type: number
          format: double
        avg_completion_time:
          type: string
        refuel_in_source:
          type: number
          format: double
          nullable: true
        slippage:
          type: number
          format: double
        rate:
          type: number
          format: double
        path:
          type: array
          items:
            $ref: '#/components/schemas/QuotePathModel'
      additionalProperties: false
    TokenWithAmountModel:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/TokenModel'
        network:
          $ref: '#/components/schemas/NetworkModel'
        amount:
          type: number
          format: double
        amount_in_usd:
          type: number
          format: double
      additionalProperties: false
    RewardModel:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/TokenModel'
        network:
          $ref: '#/components/schemas/NetworkModel'
        amount:
          type: number
          format: double
        amount_in_usd:
          type: number
          format: double
        campaign_type:
          type: string
        nft_contract_address:
          type: string
          nullable: true
      additionalProperties: false
    NetworkModel:
      type: object
      properties:
        name:
          type: string
        display_name:
          type: string
        logo:
          type: string
        chain_id:
          type: string
          nullable: true
        node_url:
          type: string
          nullable: true
        nodes:
          type: array
          items:
            type: string
          nullable: true
        type:
          $ref: '#/components/schemas/NetworkType'
        transaction_explorer_template:
          type: string
        account_explorer_template:
          type: string
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        token:
          $ref: '#/components/schemas/TokenModel'
        metadata:
          $ref: '#/components/schemas/NetworkMetadata'
        deposit_methods:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    TokenModel:
      type: object
      properties:
        symbol:
          type: string
        display_asset:
          type: string
        logo:
          type: string
        contract:
          type: string
          nullable: true
        decimals:
          type: integer
          format: int32
        price_in_usd:
          type: number
          format: double
        precision:
          type: number
          format: double
        listing_date:
          type: string
          format: date-time
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        group:
          type: string
          nullable: true
      additionalProperties: false
    QuotePathModel:
      type: object
      properties:
        provider:
          type: string
        order:
          type: integer
          format: int32
      additionalProperties: false
    NetworkType:
      enum:
        - evm
        - starknet
        - solana
        - cosmos
        - starkex
        - zksynclite
        - ton
        - paradex
        - tron
        - fuel
        - bitcoin
        - hyperliquid
      type: string
    NetworkMetadata:
      type: object
      properties:
        listing_date:
          type: string
          format: date-time
        evm_oracle_contract:
          type: string
          nullable: true
        evm_multicall_contract:
          type: string
          nullable: true
        zks_paymaster_contract:
          type: string
          nullable: true
        watchdog_contract:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````